package com.example.smartlab.Api
import com.example.smartlab.Models.Catalog
import com.example.smartlab.Models.News
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.POST

interface ApiRequest {
    @POST("api/SendCode")
    fun SendCode(@Header("User-email") Users_email : String)
            : Call<String>
    @GET("api/News")
    fun getNews(): Call<ArrayList<News>>
    @GET("api/Catalog")
    fun getCatalog(): Call<ArrayList<Catalog>>
    @POST("api/SignIn")
    fun CheckCode(@Header("User-email") Users_email : String, @Header("User-code") User_code : String) : Call<String>
}